/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   minishell.h                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: tmaze <tmaze@student.42.fr>                +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2018/11/18 13:12:34 by tmaze             #+#    #+#             */
/*   Updated: 2019/01/08 17:38:25 by tmaze            ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef MINISHELL_H
# define MINISHELL_H

# include <unistd.h>
# include <sys/stat.h>
# include "libft.h"

typedef struct	s_builtin
{
	char		*cmd;
	int			(*f)(char **argv, char **envp);
}				t_builtin;

typedef struct	s_envelem
{
	char		*key;
	char		*val;
}				t_envelem;

int	exec_cmd(char **argv, char **env);
int	cmd_echo(char **argv, char **env);
int	cmd_cd(char **argv, char **env);

#endif
